Subject: Re: bug#40549: [usability] revert last generation

From: Ludovic Courtès <[email-masked]>
Date: Thu, 23 Apr 2020 21:37:23 +0200

Hi,

Tom Zander <[email-masked]> skribis:

> This could be nicer:
>
> I just installed something and want to revert this last generation, as seen in 
> `guix package -l`.
>
> Doing a single call like `guix package -S 17 -d 18`   does not work, and I'd 
> like it to work.

Oh indeed.  In practice I’d simply run “guix package --roll-back” in
such a case so I think the example above is a bit convoluted, but I
agree that it’d be nice if it behaved like you describe.

Thanks,
Ludo’.